package montecarlo;

import java.util.Random;
import java.lang.Math;

//これは、計算過程をファイルに出力するためのもの
import java.io.File;
import java.io.FileWriter;
import java.io.BufferedWriter;
import java.io.PrintWriter;
import java.io.IOException;



public class montecarlo_p{
 public static void main (String[] args) {
   Random rnd = new Random();
   double y;
   double px;
   double py;
   double total = 0;
   double hit = 0;
   
   
   try{
      File file = new File("montecarlo/test.txt");
      PrintWriter pw = new PrintWriter(new BufferedWriter(new FileWriter(file)));
      for(int i=0; i<1024; i++){
         px = rnd.nextDouble()+1;
         py = rnd.nextDouble();
         y = Math.cos(Math.log(px));
         if(py<y){
           hit++;
         }
         total++;
         pw.print(px);
         pw.println(" "+py);       
      }          
      pw.close();
    }catch(IOException e){
        System.out.println(e);
    }
       

   
   System.out.println("hit: "+hit);
   System.out.println("total: "+total);
   System.out.println("hit/total: "+(hit/total));    
   
 } 
}